<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.ibm.com/powerhasystemmirror powerha systemmirror.xsd"
	xmlns:powerha="http://www.ibm.com/powerhasystemmirror">
	<xsl:output method="html" indent="yes" encoding="ISO-8859-1" />

	<xsl:param name="REPORT_TITLE" />
	<xsl:param name="DATE_TIME" />

	<xsl:param name="STATE_0" />
	<xsl:param name="STATE_1" />
	<xsl:param name="STATE_2" />
	<xsl:param name="STATE_3" />
	<xsl:param name="STATE_4" />
	<xsl:param name="STATE_5" />
	<xsl:param name="STATE_6" />
	<xsl:param name="STATE_7" />
	<xsl:param name="STATE_8" />

	<xsl:template match="/">
		<HTML>
			<HEAD>
				<title>
					<xsl:value-of select="$REPORT_TITLE" />
				</title>
				<!--
					This is the style information we'll use for generating the report.
				-->
				<STYLE TYPE="text/css">
					.maintitle {
					font-family: Arial;
					font-size: 24px;
					color: black;
					}

					.sectiontitle {
					font-family: Arial;
					font-size: 14px;
					font-weight: bold;
					color: black;
					}

					.subtitle {
					font-family: Arial;
					font-size: 14px;
					font-weight: bold;
					color: #342D7E;
					}

					.nodename {
					font-family: Arial;
					font-size: 12px;
					font-weight: bold;
					color:
					#0000FF;
					}

					.headertext {
					font-family: sans-serif;
					font-size: 10px;
					color: black;
					}

					.normal {
					font-family: sans-serif;
					font-size: 12px;
					color: black;
					}

					.table_col_header {
					font-family: Arial;
					font-size:
					11px;
					color: black;
					font-weight: bold;
					text-decoration: underline
					}

					.tableheader {
					background: beige;
					font-family: Arial;
					font-size: 13px;
					color: black;
					font-weight: bold;
					text-decoration: none
					}

					.tableheaderbig {
					background: beige;
					font-family: Arial;
					font-size:
					13px;
					color: black;
					font-weight: bold;
					text-decoration: none
					}

					.tabledata {
					font-family: Arial;
					font-size: 10px;
					color: black;
					border: 1px solid #BDB76B;
					font-weight: bold
					}

					.tableprompt {
					font-family: Arial;
					font-size: 10px;
					color: black;
					font-weight: bold;
					text-decoration: underline
					}

					.notestext {
					font-family: Arial;
					font-size: 10px;
					color: black;
					font-weight: bold
					}

					.noteslabel {
					font-family: Arial;
					font-size: 12px;
					color: black;
					font-weight: bold;
					text-decoration: italics
					}

					.copyright
					{
					font-family: Arial;
					font-size:
					8px;
					color: black;
					font-weight:
					normal;
					text-decoration: none
					}

					.titleDivider {
					border-width: 0px;
					border-left: 0px;
					border-right:
					0px;
					border-top: 0px;
					border-bottom:
					2px;
					padding: 0;
					border-style:
					solid;
					border-color: #32659C;
					width:
					100%;
					}
				</STYLE>
			</HEAD>
			<BODY>
				<TABLE BORDER="0" WIDTH="100%">
					<TR>
						<TD>
							<SPAN CLASS="headertext">
								Cluster Configuration Report
								<BR />
								<xsl:value-of select="//powerha:Cluster/@Version" />
								version of PowerHA SystemMirror HTML report
							</SPAN>
						</TD>
						<TD>
							<SPAN CLASS="maintitle">
								<CENTER>
									<xsl:value-of select="$REPORT_TITLE" />
								</CENTER>
							</SPAN>
						</TD>
						<TD ALIGN="right">
							<SPAN CLASS="headertext">
								<xsl:value-of select="$DATE_TIME" />
							</SPAN>
						</TD>
					</TR>
				</TABLE>

				<HR />
				<P />
				<TABLE BORDER="0" WIDTH="100%" />
				<TR />
				<TD WIDTH="60%" VALIGN="top" />
				<TABLE border="0" width="100%" cellspacing="0" cellpadding="2"
					WIDTH="100%">
					<tr>
						<td bgcolor="#AABBDD" class="sectiontitle">
							<xsl:value-of select="//powerha:Cluster/@Name" />
						</td>
					</tr>
				</TABLE>

				<TABLE border="0" width="100%" cellspacing="0" cellpadding="2"
					BGCOLOR="#EEEEEE">
					<TR>
						<TD COLSPAN="3">
							<SPAN CLASS="noteslabel">Cluster Notes: </SPAN>
							<SPAN CLASS="notestext" />
							<!--cluster notes -->
						</TD>
					</TR>
				</TABLE>
				<P />
				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">General Configuration</TD>
					</TR>
				</TABLE>

				<TABLE border="0" width="100%" cellspacing="0" cellpadding="2">
					<tr>
						<td>
							<font face="Verdana, Arial" size="1">
								<TABLE CLASS="normal">
									<TR>
										<TD>Cluster Name</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of select="//powerha:Cluster/@Name" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Cluster Type</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of select="//powerha:Cluster/@Type" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Cluster Edition</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of select="//powerha:Cluster/@Edition" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Author</TD>
										<TD>
											<I>
												<B>
													<!--
														<xsl:value-of select="//powerha:Cluster/@Author"/>
													-->
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Company</TD>
										<TD>
											<I>
												<B>
													<!-- <xsl:value-of select="//powerha:Cluster/@Company" /> -->
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Created</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of select="//powerha:Cluster/@CreatedDate" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Last update</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of select="//powerha:Cluster/@ChangedDate" />
												</B>
											</I>
										</TD>
									</TR>
								</TABLE>
							</font>
						</td>
					</tr>
				</TABLE>
				<!--
					*******************************************************************
				-->
				<P />
				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Cluster Security</TD>
					</TR>
				</TABLE>


				<TABLE border="0" width="100%" cellspacing="0" cellpadding="2">
					<tr>
						<td>
							<font face="Verdana, Arial" size="1">
								<TABLE CLASS="normal">
									<TR>
										<TD>Security Level</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of
														select="//powerha:Cluster/powerha:ClusterSecurity/@SecurityLevel" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Security Node Identity</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of
														select="//powerha:Cluster/powerha:ClusterSecurity/@NodeSecurityConfiguration" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Symmetric Algorithm</TD>
										<TD>
											<I>
												<B>
													<!--
														<xsl:value-of
														elect="//powerha:Cluster/powerha:ClusterSecurity/@NodeSecurityConfiguration"
														/>
													-->
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Asymmetric Algorithm</TD>
										<TD>
											<I>
												<B>
													<!--
														<xsl:value-of
														select="//powerha:Cluster/powerha:ClusterSecurity/@NodeSecurityConfiguration"
														/>
													-->
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Certificate</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of
														select="//powerha:Cluster/powerha:ClusterSecurity/@Certificate" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Key</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of
														select="//powerha:Cluster/powerha:ClusterSecurity/@Key" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Periodic Refresh Rate</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of select="//powerha:Cluster/@HeartbeatFrequency" />
												</B>
											</I>
										</TD>
									</TR>
									<TR>
										<TD>Grace Period</TD>
										<TD>
											<I>
												<B>
													<xsl:value-of select="//powerha:Cluster/@GracePeriod" />
												</B>
											</I>
										</TD>
									</TR>
								</TABLE>
							</font>
						</td>
					</tr>
				</TABLE>

				<P />
				<!--
					**********************************Start of Cluster Sites and
					Nodes*********************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Cluster Sites and Nodes</TD>
					</TR>
				</TABLE>

				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Site Name</TH>
						<TH CLASS="tableheader">Node Name</TH>
						<TH CLASS="tableheader">Node OID</TH>
						<TH CLASS="tableheader">Node Hostname</TH>
						<TH CLASS="tableheader">Node State</TH>
					</TR>
					<xsl:for-each select="//powerha:Cluster/powerha:Site/powerha:SiteNode">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="../@Name" />
							</TD>
							<TD CLASS="nodename">
								<xsl:value-of select="@NodeName" />
							</TD>
							<TD>
								<xsl:value-of select="@Oid" />
							</TD>
							<TD>
								<xsl:variable name="NodeName" select="@NodeName" />
								<xsl:for-each select="preceding::powerha:Node">
									<xsl:if test="./@Name = $NodeName">
										<xsl:value-of select="@Hostname" />
										<br />
									</xsl:if>
								</xsl:for-each>

							</TD>
							<TD>
								<xsl:variable name="NodeName" select="@NodeName" />
								<xsl:for-each select="preceding::powerha:Node">
									<xsl:if test="./@Name = $NodeName">
										<xsl:choose>
											<xsl:when test="@State = 0">
												<xsl:value-of select="$STATE_0" />
											</xsl:when>
											<xsl:when test="@State = 1">
												<xsl:value-of select="$STATE_1" />
											</xsl:when>
											<xsl:when test="@State = 2">
												<xsl:value-of select="$STATE_2" />
											</xsl:when>
											<xsl:when test="@State = 3">
												<xsl:value-of select="$STATE_3" />
											</xsl:when>
											<xsl:when test="@State = 4">
												<xsl:value-of select="$STATE_4" />
											</xsl:when>
											<xsl:when test="@State = 5">
												<xsl:value-of select="$STATE_5" />
											</xsl:when>
											<xsl:when test="@State = 6">
												<xsl:value-of select="$STATE_6" />
											</xsl:when>
											<xsl:when test="@State = 7">
												<xsl:value-of select="$STATE_7" />
											</xsl:when>
											<xsl:when test="@State = 8">
												<xsl:value-of select="$STATE_8" />
											</xsl:when>
										</xsl:choose>
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
						</TR>
					</xsl:for-each>
					<!-- Nodes -->
				</TABLE>

				<!--
					**************** End of Cluster Sites and Nodes
					*************************
				-->
				<P />
				<!--
					********************************Start of
					Networks***********************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Networks</TD>
					</TR>
				</TABLE>

				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">Type</TH>
						<TH CLASS="tableheader">Netmask</TH>
					</TR>
					<xsl:for-each select="//powerha:Cluster/powerha:NetworkRef">
						<TR ALIGN="center">
							<TD>
								<xsl:variable name="Gid" select="@Gid" />
								<xsl:for-each select="preceding::powerha:Network">
									<xsl:if test="./@Gid = $Gid">
										<xsl:value-of select="@Name" />
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
							<TD>
								<xsl:variable name="Gid" select="@Gid" />
								<xsl:for-each select="preceding::powerha:Network">
									<xsl:if test="./@Gid = $Gid">
										<xsl:value-of select="@Type" />
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
							<TD>
								<xsl:variable name="Gid" select="@Gid" />
								<xsl:for-each select="preceding::powerha:Network">
									<xsl:if test="./@Gid = $Gid">
										<xsl:value-of select="@Netmask" />
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!-- **************** End of Networking ************************* -->
				<P />
				<!-- **************** Start of Interfaces **************** -->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Interfaces</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">IP Label</TH>
						<TH CLASS="tableheader">Network Name</TH>
						<TH CLASS="tableheader">IP Addr</TH>
						<TH CLASS="tableheader">Node Name</TH>
						<TH CLASS="tableheader">Interface</TH>
					</TR>
					<xsl:for-each select="//powerha:Cluster/powerha:NetworkRef">
						<TR ALIGN="center">
							<TD>
								<xsl:variable name="Gid" select="@Gid" />
								<xsl:for-each select="preceding::powerha:Network/powerha:Interface">
									<xsl:if test="../@Gid = $Gid">
										<xsl:value-of select="@Name" />
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
							<TD>
								<xsl:variable name="Gid" select="@Gid" />
								<xsl:for-each select="preceding::powerha:Network/powerha:Interface">
									<xsl:if test="../@Gid = $Gid">
										<xsl:value-of select="@Network" />
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
							<TD>
								<xsl:variable name="Gid" select="@Gid" />
								<xsl:for-each select="preceding::powerha:Network/powerha:Interface">
									<xsl:if test="../@Gid = $Gid">
										<xsl:value-of select="@IPaddr" />
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
							<TD CLASS="nodename">
								<xsl:variable name="Gid" select="@Gid" />
								<xsl:for-each select="preceding::powerha:Network/powerha:Interface">
									<xsl:if test="../@Gid = $Gid">
										<xsl:value-of select="@Node" />
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
							<TD>
								<xsl:variable name="Gid" select="@Gid" />
								<xsl:for-each select="preceding::powerha:Network/powerha:Interface">
									<xsl:if test="../@Gid = $Gid">
										<xsl:value-of select="@Interface" />
										<br />
									</xsl:if>
								</xsl:for-each>
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!-- **************** End of Interfaces ************************* -->
				<P />
				<!--
					**************** Start of Service IP Labels
					*************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Service IP Labels</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">

					<TR ALIGN="center">
						<TH CLASS="tableheader">IP Label</TH>
						<TH CLASS="tableheader">Network Name</TH>
						<TH CLASS="tableheader">IP Addr</TH>
						<TH CLASS="tableheader">Assoc Site Name</TH>
						<TH CLASS="tableheader">Prefix Length</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ExistingServiceIPs/powerha:ServiceIP">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Network" />
							</TD>
							<TD>
								<xsl:value-of select="@IPaddr" />
							</TD>
							<TD>
								<xsl:value-of select="@AssociatedSite" />
							</TD>
							<TD>
								<!-- <xsl:value-of select="@Network" /> -->
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>
				<!--
					**************** End of Service IP Labels *************************
				-->
				<P />
				<!-- **************** Start of Persistent IP Labels **************** -->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Persistent IP Labels</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">

					<TR>
						<TH CLASS="tableheader">IP Label</TH>
						<TH CLASS="tableheader">Network Name</TH>
						<TH CLASS="tableheader">IP Addr</TH>
						<TH CLASS="tableheader">Node Name</TH>
						<TH CLASS="tableheader">Interface Name</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ExistingPersistentIPs/powerha:PersistentIP">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Network" />
							</TD>
							<TD>
								<xsl:value-of select="@IPaddr" />
							</TD>
							<TD CLASS="nodename">
								<xsl:value-of select="@Node" />
							</TD>
							<TD>
								<xsl:value-of select="@Interface" />
							</TD>
						</TR>
						<P />
					</xsl:for-each>
				</TABLE>

				<!-- **************** End of IP Labels ************************* -->
				<P />
				<!--
					**************** End of Resource Groups *************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Resource Groups</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">State</TH>
						<TH CLASS="tableheader">Participating nodes</TH>
						<TH CLASS="tableheader">Startup Policy</TH>
						<TH CLASS="tableheader">Fallover Policy</TH>
						<TH CLASS="tableheader">Fallback Policy</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ResourceGroups/powerha:ResourceGroup">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:choose>
									<xsl:when test="@State = 0">
										<xsl:value-of select="$STATE_0" />
									</xsl:when>
									<xsl:when test="@State = 1">
										<xsl:value-of select="$STATE_1" />
									</xsl:when>
									<xsl:when test="@State = 2">
										<xsl:value-of select="$STATE_2" />
									</xsl:when>
									<xsl:when test="@State = 3">
										<xsl:value-of select="$STATE_3" />
									</xsl:when>
									<xsl:when test="@State = 4">
										<xsl:value-of select="$STATE_4" />
									</xsl:when>
									<xsl:when test="@State = 5">
										<xsl:value-of select="$STATE_5" />
									</xsl:when>
									<xsl:when test="@State = 6">
										<xsl:value-of select="$STATE_6" />
									</xsl:when>
									<xsl:when test="@State = 7">
										<xsl:value-of select="$STATE_7" />
									</xsl:when>
									<xsl:when test="@State = 8">
										<xsl:value-of select="$STATE_8" />
									</xsl:when>
								</xsl:choose>
							</TD>
							<TD CLASS="nodename">
								<xsl:value-of select="@Nodes" />
							</TD>
							<TD>
								<xsl:value-of select="@Startup" />
							</TD>
							<TD>
								<xsl:value-of select="@Fallover" />
							</TD>
							<TD>
								<xsl:value-of select="@Fallback" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!--
					**************** End of Resource Groups *************************
				-->
				<P />
				<!--
					**************** End of RG Dependencies *************************
				-->
				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">RG Dependencies</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Parent Resource Group</TH>
						<TH CLASS="tableheader">Child Resource Group</TH>
					</TR>
					<xsl:for-each select="//powerha:Cluster/powerha:Dependency">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@ParentRgName" />
							</TD>
							<TD>
								<xsl:value-of select="@ChildRgNames" />
							</TD>
						</TR>
					</xsl:for-each>

				</TABLE>

				<!--
					**************** Start of RG Dependencies *************************
				-->
				<!-- <P /> -->
				<!--
					**************** Start of Resource Group Location Dependencies
					*************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">RG Location Dependencies</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Location Policy</TH>
						<TH CLASS="tableheader">Resource Groups</TH>
					</TR>
					<xsl:for-each select="//powerha:Cluster/powerha:Dependency">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@ParentRgName" />
							</TD>
							<TD>
								<xsl:value-of select="@ChildRgNames" />
							</TD>
						</TR>
						<P />
					</xsl:for-each>
				</TABLE>

				<!--
					**************** End of Resource Group Location Dependencies
					*************************
				-->
				<P />
				<!--
					**************** Start of Resource Group Runtime Policies
					*************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">RG Runtime Policies</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">RG Acquired In Parallel</TH>
						<TH CLASS="tableheader">RG Released In Parallel</TH>
						<TH CLASS="tableheader">Settling Time</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ResourceGroups/powerha:ResourceGroup">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@ParentRgName" />
							</TD>
							<TD>
								<xsl:value-of select="@ChildRgNames" />
							</TD>
							<TD>
								<xsl:value-of select="@ChildRgNames" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!--
					**************** End of Resource Group Runtime Policies
					*************************
				-->
				<P />
				<!--
					**************** Start of Applications *************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Applications</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">Start Script</TH>
						<TH CLASS="tableheader">Stop Script</TH>
						<TH CLASS="tableheader">Monitors</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ExistingApplicationControllers/powerha:ApplicationController">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Startscript" />
							</TD>
							<TD>
								<xsl:value-of select="@Stopscript" />
							</TD>
							<TD>
								<xsl:for-each select="powerha:ApplicationMonitorRef">
									<xsl:value-of select="@Name" />
									<br />
								</xsl:for-each>
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>
				<!-- **************** End of Applications ************************* -->
				<P />
				<!--
					**************** Start of Application Monitors
					*************************
				-->
				<P />
				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Application Monitors</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">Monitor Type</TH>
						<TH CLASS="tableheader">Monitor Mode</TH>
						<TH CLASS="tableheader">Applications</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ExistingApplicationMonitors/powerha:ApplicationMonitor">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Type" />
							</TD>
							<TD>
								<xsl:value-of select="@Mode" />
							</TD>
							<TD>
								<xsl:variable name="Name" select="@Name" />
								<xsl:for-each
									select="preceding::powerha:ApplicationController/powerha:ApplicationMonitorRef ">
									<xsl:if test="./@Name = $Name">
										<xsl:value-of select="../@Name" />
									</xsl:if>
								</xsl:for-each>
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!--
					**************** End of Application Monitors
					*************************
				-->
				<P />
				<!--
					**************** Start of Volume Groups *************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Volume Groups</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">Major</TH>
						<TH CLASS="tableheader">Physical Volumes</TH>
						<TH CLASS="tableheader">PVIDs</TH>
						<TH CLASS="tableheader">Type</TH>
						<TH CLASS="tableheader">Enhanced Concurrent Capable</TH>
						<TH CLASS="tableheader">Nodes</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ExistingVolumeGroups/powerha:VolumeGroup">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@MajorNumber" />
							</TD>
							<TD>
								<xsl:for-each select="powerha:PhysicalVolumeRef">
									<xsl:variable name="Pvid" select="@Pvid" />
									<xsl:for-each select="preceding::powerha:PhysicalVolume ">
										<xsl:if test="@Pvid = $Pvid">
											<xsl:value-of select="@Name" />
											<BR />
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</TD>
							<TD>
								<xsl:for-each select="powerha:PhysicalVolumeRef">
									<xsl:variable name="Pvid" select="@Pvid" />
									<xsl:for-each select="preceding::powerha:PhysicalVolume ">
										<xsl:if test="@Pvid = $Pvid">
											<xsl:value-of select="$Pvid" />
											<BR />
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</TD>
							<TD>
								<xsl:for-each select="powerha:PhysicalVolumeRef">
									<xsl:variable name="Pvid" select="@Pvid" />
									<xsl:for-each select="preceding::powerha:PhysicalVolume ">
										<xsl:if test="@Pvid = $Pvid">
											<xsl:value-of select="@Type" />
											<BR />
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</TD>
							<TD>
								<xsl:for-each select="powerha:PhysicalVolumeRef">
									<xsl:variable name="Pvid" select="@Pvid" />
									<xsl:for-each select="preceding::powerha:PhysicalVolume ">
										<xsl:if test="@Pvid = $Pvid">
											<xsl:value-of select="@EnhancedConcurrentMode" />
											<BR />
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</TD>
							<TD CLASS="nodename">
								<xsl:value-of select="@Nodes" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!-- **************** End of Volume Groups ************************* -->
				<P />
				<!-- **************** Start of Disks Label ************************* -->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Disks</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">HDISK</TH>
						<TH CLASS="tableheader">PVID</TH>
						<TH CLASS="tableheader">Reference Node</TH>
						<TH CLASS="tableheader">Nodes</TH>
						<TH CLASS="tableheader">Type</TH>
					</TR>
					<xsl:for-each
						select="//powerha:XDConfig/powerha:MirrorDisks/powerha:MirrorDisk">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Pvid" />
							</TD>
							<TD>
								<!-- <xsl:value-of select="@Pvid" /> -->

							</TD>
							<TD>
								<!-- <xsl:value-of select="@Pvid" /> -->
							</TD>
							<TD>
								<xsl:value-of select="@Type" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!-- **************** End of Disks Label ************************* -->
				<P />
				<!--
					**************** Start of Logical Volumes *************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Logical Volumes</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">Type</TH>
						<TH CLASS="tableheader">Size</TH>
						<TH CLASS="tableheader">Logical Partition Copies</TH>
						<TH CLASS="tableheader">Mount Point</TH>
						<TH CLASS="tableheader">Volume Group</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ExistingVolumeGroups/powerha:VolumeGroup/powerha:LogicalVolume">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Type" />
							</TD>
							<TD>
								<xsl:value-of select="@PpSize" />
							</TD>
							<TD>
								<xsl:value-of select="@Copies" />
							</TD>
							<TD>
								<xsl:value-of select="@MountPoint" />
							</TD>
							<TD>
								<xsl:value-of select="../@Name" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!--
					**************** End of Logical Volumes *************************
				-->
				<P />
				<!-- **************** Start Of File Collections *************** -->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">File Collections</TD>
					</TR>
				</TABLE>
				<!-- <TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1"> -->
				<!-- <TR> -->
				<!-- <TD CLASS="tableheader">Automatic File Update</TD> -->
				<!-- </TR> -->

				<!-- </TABLE> -->
				<!-- <P /> -->
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR VALIGN="top">
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">Files</TH>
						<TH CLASS="tableheader">Description</TH>
						<TH CLASS="tableheader">Propagate Files During Sync</TH>
						<TH CLASS="tableheader">Automatically Propagate Files</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:FileCollection/powerha:HAFile">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="../@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@File" />
							</TD>
							<TD>
								<xsl:value-of select="@Description" />
							</TD>
							<TD>
								<xsl:value-of select="../@SyncWithCluster" />
							</TD>
							<TD>
								<xsl:value-of select="../@SyncWhenChanged" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!-- **************** End Of File Collections *************** -->
				<P />
				<!--
					**************** Start of Tape Resources *************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">Tape Resources</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR VALIGN="top">
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">Device</TH>
						<TH CLASS="tableheader">Description</TH>
						<TH CLASS="tableheader">Start Script</TH>
						<TH CLASS="tableheader">Start Sync</TH>
						<TH CLASS="tableheader">Stop Script</TH>
						<TH CLASS="tableheader">Stop Sync</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ExistingTapes/powerha:Tape">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Device" />
							</TD>
							<TD>
								<xsl:value-of select="@Description" />
							</TD>
							<TD>
								<xsl:value-of select="@Startscript" />
							</TD>
							<TD>
								<xsl:value-of select="@StartSynchronously" />
							</TD>
							<TD>
								<xsl:value-of select="@Stopscript" />
							</TD>
							<TD>
								<xsl:value-of select="@StopSynchronously" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!--
					**************** End of Tape Resources *************************
				-->
				<P />
				<!--
					**************** Start of NFS Exports *************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>
						<TD class="subtitle">NSF Exports</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Name</TH>
						<TH CLASS="tableheader">Access Type</TH>
						<TH CLASS="tableheader">Exported Directory</TH>
						<TH CLASS="tableheader">Nodes</TH>
						<TH CLASS="tableheader">Options</TH>
					</TR>
					<xsl:for-each
						select="//powerha:Cluster/powerha:ExistingTapes/powerha:Tape">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Device" />
							</TD>
							<TD>
								<xsl:value-of select="@Description" />
							</TD>
							<TD>
								<xsl:value-of select="@Startscript" />
							</TD>
							<TD>
								<xsl:value-of select="@StartSynchronously" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>
				<!-- **************** End of NFS Exports ************************* -->
				<P />
				<!--
					**************** Start of Cluster Events *************************
				-->

				<TABLE cellpadding="0" CELLSPACING="0" class="titleDivider">
					<TR>

						<TD class="subtitle">Cluster Events</TD>
					</TR>
				</TABLE>
				<TABLE WIDTH="100%" cellpadding="0" CELLSPACING="0" border="1">
					<TR>
						<TH CLASS="tableheader">Event</TH>
						<TH CLASS="tableheader">Type</TH>
						<TH CLASS="tableheader">Label</TH>
						<TH CLASS="tableheader">Command</TH>
						<TH CLASS="tableheader">Retry Counter</TH>
					</TR>
					<xsl:for-each select="//powerha:Cluster/powerha:PredefinedEvent">
						<TR ALIGN="center">
							<TD>
								<xsl:value-of select="@Name" />
							</TD>
							<TD>
								<xsl:value-of select="@Type" />
							</TD>
							<TD>
								<xsl:value-of select="@File" />
							</TD>
							<TD>
								<xsl:value-of select="@Command" />
							</TD>
							<TD>
								<xsl:value-of select="@RecoveryCounter" />
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>

				<!--
					**************** End of Cluster Events *************************
				-->
				<P />
				<!-- **** End of the left column configuration stuff --> <!-- -->

			</BODY>
		</HTML>

	</xsl:template>

</xsl:stylesheet>